Get event logs for a deployment
GET /v2/chain-event/event-logs/{deploymentId}
GET
/v2/chain-event/event-logs/{deploymentId}
Retrieve event logs for a specific contract deployment with optional filtering.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deploymentId
required
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09The deployment ID
Query Parameters
Section titled “Query Parameters ” limit
number
5Maximum number of events to return
eventSignature
required
string
Transfer(address,address,uint256)Event signatures to filter by
timestampTo
required
number
1731654505025122000The timestamp to filter events by
timestampFrom
required
number
1731654505025122000The timestamp to filter events by
topic1
required
string
0x123...The topic to filter events by
topic2
required
string
0x123...The topic to filter events by
topic3
required
string
0x123...The topic to filter events by
Responses
Section titled “ Responses ”The event logs for the deployment
object
chainId
required
Chain ID
number
1 contractAddress
required
Contract address
string
0x789... events
required
List of events
Array<object>
object
transactionHash
required
Transaction hash
string
0x123... timestamp
required
Timestamp in nanoseconds since epoch
number
1731654505025122000 signer
required
Address of the signer
string
0x456... index
required
Event index
number
0 eventSignature
required
Event signature
string
Transfer(address,address,uint256) logs
required
Decoded event logs
object
key
additional properties
any
links
required
Pagination links
object
next
URL for the next page of results
string
?page=2Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error